#include <iostream>

using namespace std;

int main()
{
    int n,k,u=0;
    long long a[200000]={0};
    cin>>n>>k;
    for(int i=0; i<n; i++){
        cin>>a[i];
    }
    if(k==0){
        for(int i=0; i<n; i++){
            u=u+a[i];
        }
    }
    else if(k==1){
        for(int i=0; i<n; i++){
            for(int j=1; j<=n; j++){
                for(int z=i; z<j; z++){
                    u=u+a[z];
                }
            }
        }
    }
    else if(k>1){
            for(int i=0; i<n; i++){
                for(int j=1; j<=n; j++){
                    for(int z=i; z<j; z++){
                        u=u+a[z];
                    }
                }
            }
        }
    cout<<u;
}